<style>
  /*  we need to set this sizes because otherwise ontodia can't properly make initial layout
 if node-templates is defined. This is a bug in ontodia. */

  .ontodia-overlayed-element {
    min-height: 234px;
    min-width: 185px;
  }

  .component-page-toolbar.btn-toolbar {
    display: none;
  }
</style>
<mp-event-proxy id="clipboard-update-on-create-set" on-event-type="Components.SetManagement.SetAdded" proxy-event-type="Component.Refresh" proxy-targets='["clipboard"]'>
</mp-event-proxy>
<mp-event-proxy id="clipboard-update-on-save-search" on-event-source="save-search-result-action" proxy-event-type="Component.Refresh" proxy-targets='["clipboard"]'></mp-event-proxy>
<mp-event-proxy id="clipboard-update-on-persisted-component" on-event-source="persit-component-action" proxy-event-type="Component.Refresh" proxy-targets='["clipboard"]'></mp-event-proxy>

[[#*inline "dashboard"]]
<rs-dashboard initial-view='{"view": "[[view]]", "resource": "[[resource]]", "data": {"entityTypeConfig": ""}}' right-panels='[{"label": "[[i18n "save_items" bundle="languages/resource_thinkingframes" locale=this.lang]]", "template": "{{>  details}}"}]' views='[
{
    "id": "entity-editor",
    "label": "Entity Editor",
    "description": "Create and author an entity through custom forms",
    "iconClass": "rs-icon rs-icon-form_edit",
    "template": "{{>  entityEditor}}",
    "resourceNotRequired": true,
    "type": "configuration"
},
{
    "id": "knowledge-map",
    "label": "Knowledge Map",
    "description": "Express research thinking and processes as networks of relations",
    "iconClass": "rs-icon rs-icon-diagram",
    "template": "{{>  ontodiaTemplate}}",
    "itemBodyTemplate": "{{>  itemBodyTemplate}}",
    "resourceNotRequired": true,
    "frameVariable": "ontodiaVariable",
    "type": "display"
},
{
    "id": "semantic-narrative",
    "label": "Semantic Narrative",
    "description": "Compose and share your research through an evolving narrative",
    "iconClass": "rs-icon rs-icon-page",
    "template": "{{>  semanticNarrativeTemplate}}",
    "itemBodyTemplate": "{{>  itemBodyTemplate}}",
    "resourceNotRequired": true,
    "frameVariable": "narrativeVariable",
    "checkQuery": "ASK { ?value a rso:Semantic_Narrative . }",
    "type": "display"
}
]'>
  [[/inline]]
  <div class="page_100vh thinking-frames-page">
    [[#if (urlParam "view" )]] [[>  dashboard view=(urlParam "view")
    resource=(urlParam "resource") entityTypeConfig=(urlParam
    "entityTypeConfig") ]] [[/if]] [[#if view]] [[>  dashboard ]] [[/if]]
    <template id="details">
      <div style="height: 100%; background-color: #eaecef">
        <div style="height: calc(100vh - 70px); padding-top: 15px">
          [[>  rsp:Clipboard id="clipboard" defaultViewMode="grid"]]
        </div>
      </div>
    </template>
    <template id="entityEditor"> [[>  rsp:EntityEditor]] </template>
    <template id="authorityAndEntityConfiguration">
          [[>  rsp:AuthorityAndEntityConfiguration]]
    </template>
    <template id="ontodiaTemplate">
          [[>  rsp:ThinkingFramesKnowledgeMapTemplate]]
    </template>
    <template id="semanticNarrativeTemplate">
          [[>  rsp:ThinkingFramesSemanticNarrativeTemplate]]
    </template>
  </div>
</rs-dashboard>
